%define name xpcd
%define version 2.08
%define release 14mdk

Summary: PhotoCD tool collection
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Graphics
BuildRequires: XFree86-devel libXaw3d-devel libjpeg-devel libtiff-devel
%ifarch %{ix86}
BuildRequires: svgalib-devel
%endif
Source: http://linuxberg.surfnet.nl/files/x11/graphics/%{name}-%{version}.tar.bz2
URL:	http://linuxberg.surfnet.nl/files/x11/graphics/
Source10: %{name}16.png.bz2
Source11: %{name}32.png.bz2
Source12: %{name}48.png.bz2
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: libgimp1.2_1-devel
Patch: xpcd-2.08-gimp11.patch.bz2

%description
This is a PhotoCD tool collection. The main application - xpcd - is a
comfortable, X11-based PhotoCD decoding/viewing program. Also included 
pcdtoppm, which is a command line based PhotoCD-to-PPM/JPEG converter.

%ifarch %{ix86}

%package svga
Summary: SVGAlib viewer for PhotoCD images
Group: Graphics

%description svga
svgalib viewer for PhotoCD images

%endif

%package gimp
Summary: GIMP 0.99 plugin, makes xpcd and gimp work hand in hand.
Group: Graphics
Requires: xpcd >= 2, gimp >= 0.99

%description gimp
This is a GIMP 0.99 plugin, it allows xpcd to load images directly
into The GIMP. If you'll open a PhotoCD file within gimp, it will
be passed to xpcd.
The installation of the gimp plugin works only if the gimp is installed
with prefix=/usr or prefix=/usr/local. If not, you have to copy xpcd-gate
from /usr/bin to the plug-ins directory yourself.

%prep

%setup
%patch -p1

%build
export CFLAGS="$RPM_OPT_FLAGS"

%ifarch %{ix86}
%configure --with-gimp --with-tiff --with-jpeg --with-svga
%else
%configure --with-gimp --with-tiff --with-jpeg
%endif

make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xpcd

%makeinstall \
x11_libdir=$RPM_BUILD_ROOT/usr/X11R6/lib/X11 \
x11_incdir=$RPM_BUILD_ROOT/usr/X11R6/include/X11 \
gimpplugindir=$RPM_BUILD_ROOT%{_libdir}/gimp/1.1/plug-ins \
SUID_ROOT=

mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat >$RPM_BUILD_ROOT%{_menudir}/xpcd <<EOF
?package(xpcd): command="%{_bindir}/xpcd" needs="X11" \
icon="xpcd.png" section="Multimedia/Graphics" \
title="Xpcd" longtitle="PhotoCD tools"
EOF

# Mdk Icons...
install -d $RPM_BUILD_ROOT%{_liconsdir}
install -d $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
bzcat %{SOURCE11} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzcat %{SOURCE12} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT
%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xpcd
%attr(755,root,root) %{_bindir}/pcdtoppm
%{_mandir}/man1/xpcd.1*
%{_mandir}/man1/pcdtoppm.1*
%{_prefix}/X11R6/lib/X11/xpcd/system.xpcdrc
%{_prefix}/X11R6/lib/X11/app-defaults/Xpcd-2
%{_prefix}/X11R6/lib/X11/de/app-defaults/Xpcd-2
%{_prefix}/X11R6/lib/X11/da/app-defaults/Xpcd-2
%{_prefix}/X11R6/include/X11/pixmaps/xpcd-color.xpm
%{_prefix}/X11R6/include/X11/pixmaps/xpcd-gray.xpm
%{_menudir}/xpcd
%{_liconsdir}/*.png
%{_iconsdir}/*.png
%{_miconsdir}/*.png

%ifarch i386 i486 i586 i686 k6 k7

%files svga
%attr(4711, root, root) %{_bindir}/pcdview
%attr(0644, root, root) %{_mandir}/man1/pcdview.1*

%endif

%files gimp
%attr(0711, root, root) %{_libdir}/gimp/1.1/plug-ins/xpcd-gate

%changelog
* Sat Feb 23 2002 Daouda LO <daouda@mandrakesoft.com> 2.08-14mdk
- rebuild 
- xpm2png

* Mon Jul 30 2001 Daouda LO <daouda@mandrakesoft.com> 2.08-13mdk
- rebuild (spec cleanups)

* Sat Jan 27 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 2.08-12mdk
- updated BuildReq --> libgimp1.2_1-devel
- rebuild against new gimp libs

* Mon Jan  8 2001  Daouda Lo<daouda@mandrakesoft.com> 2.08-11mdk
- rebuild against new gimp libs (thanx Luis )
- cleanups 

* Thu Nov 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.08-10mdk
- Get compile with last gimp.

* Mon Oct 09 2000 Daouda Lo <daouda@mandrakesoft.com> 2.08-9mdk
- force icons to appear
- menu embedded
- more macroz

* Mon Sep 18 2000 Francis Galiegue <fg@mandrakesoft.com> 2.08-8mdk

- Made specfile more readable...
- Be consistent, if we use the %%{ix86} macro in one place, use it everywhere
  else
- We now have gimp-1.1
- Icons

* Wed Aug 23 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.08-7mdk

- use BuildRequires svgalib-devel only on ix86.

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.08-6mdk

- automatically added BuildRequires

* Sun Jul 23 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 2.08-5mdk

- macroszifications
- BM
- Geoffrey Lee <snailtalk@mandrakesoft.com>
  - tmppath and updatemenus macros (postun was broken btw)
  - missing EOF in cat << EOF which prevented mpages from bzip'in. great ...

* Mon Apr 03 2000 John Buswell <johnb@mandrakesoft.com> 2.08-4mdk

- postun script fix

* Fri Mar 31 2000 John Buswell <johnb@mandrakesoft.com> 2.08-3mdk

- Fixed groups

* Fri Mar 31 2000 John Buswell <johnb@mandrakesoft.com> 2.08-2mdk

- Added menu
- Man pages were not bzipped!!

* Thu Feb 24 2000 Giuseppe Ghib <ghibo@mandrakesoft.com>

- updated to version 2.08
